package net.robertboehm.ld22;

import org.newdawn.slick.Image;

public class TileTemplate {
	
	private final Image tileImage;
	private final int collisionMode;
	private final GameTileset tileset;
	
	public TileTemplate(Image tileImage, int collisionMode, GameTileset tileset) {
		this.tileImage = tileImage;
		this.collisionMode = collisionMode;
		this.tileset = tileset;
	}
	
	public Tile getTile(int x, int y) {
		return new Tile(tileImage, collisionMode, x, y, tileset);
	}
	
}
